Social Video Spark was retired

Here is why:

March 25, 2017 Facebook retired API v2.2 which was needed for Social Video Spark to work.

In other word Facebook itself killed all apps which were like Social Video Spark depended on API v2.2

There is nothing any developer can do about. API v2.2 is just not there anymore.